AlphaCompC
Alpha Composition

Composite two images using constant alpha values. More...

## Functions

NppStatus | nppiAlphaCompC_8u_C1R_Ctx (const Npp8u *pSrc1, int nSrc1Step, Npp8u nAlpha1, const Npp8u *pSrc2, int nSrc2Step, Npp8u nAlpha2, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppiAlphaOp eAlphaOp, NppStreamContext nppStreamCtx)
| One 8-bit unsigned char channel image composition using constant alpha. More...
NppStatus | nppiAlphaCompC_8u_C1R (const Npp8u *pSrc1, int nSrc1Step, Npp8u nAlpha1, const Npp8u *pSrc2, int nSrc2Step, Npp8u nAlpha2, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppiAlphaOp eAlphaOp)
NppStatus | nppiAlphaCompC_8u_C3R_Ctx (const Npp8u *pSrc1, int nSrc1Step, Npp8u nAlpha1, const Npp8u *pSrc2, int nSrc2Step, Npp8u nAlpha2, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppiAlphaOp eAlphaOp, NppStreamContext nppStreamCtx)
| Three 8-bit unsigned char channel image composition using constant alpha. More...
NppStatus | nppiAlphaCompC_8u_C3R (const Npp8u *pSrc1, int nSrc1Step, Npp8u nAlpha1, const Npp8u *pSrc2, int nSrc2Step, Npp8u nAlpha2, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppiAlphaOp eAlphaOp)
NppStatus | nppiAlphaCompC_8u_C4R_Ctx (const Npp8u *pSrc1, int nSrc1Step, Npp8u nAlpha1, const Npp8u *pSrc2, int nSrc2Step, Npp8u nAlpha2, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppiAlphaOp eAlphaOp, NppStreamContext nppStreamCtx)
| Four 8-bit unsigned char channel image composition using constant alpha. More...
NppStatus | nppiAlphaCompC_8u_C4R (const Npp8u *pSrc1, int nSrc1Step, Npp8u nAlpha1, const Npp8u *pSrc2, int nSrc2Step, Npp8u nAlpha2, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppiAlphaOp eAlphaOp)
NppStatus | nppiAlphaCompC_8u_AC4R_Ctx (const Npp8u *pSrc1, int nSrc1Step, Npp8u nAlpha1, const Npp8u *pSrc2, int nSrc2Step, Npp8u nAlpha2, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppiAlphaOp eAlphaOp, NppStreamContext nppStreamCtx)
| Four 8-bit unsigned char channel image composition with alpha using constant source alpha. More...
NppStatus | nppiAlphaCompC_8u_AC4R (const Npp8u *pSrc1, int nSrc1Step, Npp8u nAlpha1, const Npp8u *pSrc2, int nSrc2Step, Npp8u nAlpha2, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppiAlphaOp eAlphaOp)
NppStatus | nppiAlphaCompC_8s_C1R_Ctx (const Npp8s *pSrc1, int nSrc1Step, Npp8s nAlpha1, const Npp8s *pSrc2, int nSrc2Step, Npp8s nAlpha2, Npp8s *pDst, int nDstStep, NppiSize oSizeROI, NppiAlphaOp eAlphaOp, NppStreamContext nppStreamCtx)
| One 8-bit signed char channel image composition using constant alpha. More...
NppStatus | nppiAlphaCompC_8s_C1R (const Npp8s *pSrc1, int nSrc1Step, Npp8s nAlpha1, const Npp8s *pSrc2, int nSrc2Step, Npp8s nAlpha2, Npp8s *pDst, int nDstStep, NppiSize oSizeROI, NppiAlphaOp eAlphaOp)
NppStatus | nppiAlphaCompC_16u_C1R_Ctx (const Npp16u *pSrc1, int nSrc1Step, Npp16u nAlpha1, const Npp16u *pSrc2, int nSrc2Step, Npp16u nAlpha2, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppiAlphaOp eAlphaOp, NppStreamContext nppStreamCtx)
| One 16-bit unsigned short channel image composition using constant alpha. More...
NppStatus | nppiAlphaCompC_16u_C1R (const Npp16u *pSrc1, int nSrc1Step, Npp16u nAlpha1, const Npp16u *pSrc2, int nSrc2Step, Npp16u nAlpha2, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppiAlphaOp eAlphaOp)
NppStatus | nppiAlphaCompC_16u_C3R_Ctx (const Npp16u *pSrc1, int nSrc1Step, Npp16u nAlpha1, const Npp16u *pSrc2, int nSrc2Step, Npp16u nAlpha2, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppiAlphaOp eAlphaOp, NppStreamContext nppStreamCtx)
| Three 16-bit unsigned short channel image composition using constant alpha. More...
NppStatus | nppiAlphaCompC_16u_C3R (const Npp16u *pSrc1, int nSrc1Step, Npp16u nAlpha1, const Npp16u *pSrc2, int nSrc2Step, Npp16u nAlpha2, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppiAlphaOp eAlphaOp)
NppStatus | nppiAlphaCompC_16u_C4R_Ctx (const Npp16u *pSrc1, int nSrc1Step, Npp16u nAlpha1, const Npp16u *pSrc2, int nSrc2Step, Npp16u nAlpha2, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppiAlphaOp eAlphaOp, NppStreamContext nppStreamCtx)
| Four 16-bit unsigned short channel image composition using constant alpha. More...
NppStatus | nppiAlphaCompC_16u_C4R (const Npp16u *pSrc1, int nSrc1Step, Npp16u nAlpha1, const Npp16u *pSrc2, int nSrc2Step, Npp16u nAlpha2, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppiAlphaOp eAlphaOp)
NppStatus | nppiAlphaCompC_16u_AC4R_Ctx (const Npp16u *pSrc1, int nSrc1Step, Npp16u nAlpha1, const Npp16u *pSrc2, int nSrc2Step, Npp16u nAlpha2, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppiAlphaOp eAlphaOp, NppStreamContext nppStreamCtx)
| Four 16-bit unsigned short channel image composition with alpha using constant source alpha. More...
NppStatus | nppiAlphaCompC_16u_AC4R (const Npp16u *pSrc1, int nSrc1Step, Npp16u nAlpha1, const Npp16u *pSrc2, int nSrc2Step, Npp16u nAlpha2, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppiAlphaOp eAlphaOp)
NppStatus | nppiAlphaCompC_16s_C1R_Ctx (const Npp16s *pSrc1, int nSrc1Step, Npp16s nAlpha1, const Npp16s *pSrc2, int nSrc2Step, Npp16s nAlpha2, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, NppiAlphaOp eAlphaOp, NppStreamContext nppStreamCtx)
| One 16-bit signed short channel image composition using constant alpha. More...
NppStatus | nppiAlphaCompC_16s_C1R (const Npp16s *pSrc1, int nSrc1Step, Npp16s nAlpha1, const Npp16s *pSrc2, int nSrc2Step, Npp16s nAlpha2, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, NppiAlphaOp eAlphaOp)
NppStatus | nppiAlphaCompC_32u_C1R_Ctx (const Npp32u *pSrc1, int nSrc1Step, Npp32u nAlpha1, const Npp32u *pSrc2, int nSrc2Step, Npp32u nAlpha2, Npp32u *pDst, int nDstStep, NppiSize oSizeROI, NppiAlphaOp eAlphaOp, NppStreamContext nppStreamCtx)
| One 32-bit unsigned integer channel image composition using constant alpha. More...
NppStatus | nppiAlphaCompC_32u_C1R (const Npp32u *pSrc1, int nSrc1Step, Npp32u nAlpha1, const Npp32u *pSrc2, int nSrc2Step, Npp32u nAlpha2, Npp32u *pDst, int nDstStep, NppiSize oSizeROI, NppiAlphaOp eAlphaOp)
NppStatus | nppiAlphaCompC_32s_C1R_Ctx (const Npp32s *pSrc1, int nSrc1Step, Npp32s nAlpha1, const Npp32s *pSrc2, int nSrc2Step, Npp32s nAlpha2, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, NppiAlphaOp eAlphaOp, NppStreamContext nppStreamCtx)
| One 32-bit signed integer channel image composition using constant alpha. More...
NppStatus | nppiAlphaCompC_32s_C1R (const Npp32s *pSrc1, int nSrc1Step, Npp32s nAlpha1, const Npp32s *pSrc2, int nSrc2Step, Npp32s nAlpha2, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, NppiAlphaOp eAlphaOp)
NppStatus | nppiAlphaCompC_32f_C1R_Ctx (const Npp32f *pSrc1, int nSrc1Step, Npp32f nAlpha1, const Npp32f *pSrc2, int nSrc2Step, Npp32f nAlpha2, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppiAlphaOp eAlphaOp, NppStreamContext nppStreamCtx)
| One 32-bit floating point channel image composition using constant alpha. More...
NppStatus | nppiAlphaCompC_32f_C1R (const Npp32f *pSrc1, int nSrc1Step, Npp32f nAlpha1, const Npp32f *pSrc2, int nSrc2Step, Npp32f nAlpha2, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppiAlphaOp eAlphaOp)

## Detailed Description

Composite two images using constant alpha values.

## Function Documentation

NppStatus nppiAlphaCompC_16s_C1R | ( | const Npp16s * | pSrc1,
|  | int | nSrc1Step,
|  | Npp16s | nAlpha1,
|  | const Npp16s * | pSrc2,
|  | int | nSrc2Step,
|  | Npp16s | nAlpha2,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiAlphaOp | eAlphaOp
| ) |  |

NppStatus nppiAlphaCompC_16s_C1R_Ctx | ( | const Npp16s * | pSrc1,
|  | int | nSrc1Step,
|  | Npp16s | nAlpha1,
|  | const Npp16s * | pSrc2,
|  | int | nSrc2Step,
|  | Npp16s | nAlpha2,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiAlphaOp | eAlphaOp,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 16-bit signed short channel image composition using constant alpha.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  nAlpha1 | Image alpha opacity (0 - max channel pixel value).
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  nAlpha2 | Image alpha opacity (0 - max channel pixel value).
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  eAlphaOp | alpha-blending operation..
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAlphaCompC_16u_AC4R | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | Npp16u | nAlpha1,
|  | const Npp16u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp16u | nAlpha2,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiAlphaOp | eAlphaOp
| ) |  |

NppStatus nppiAlphaCompC_16u_AC4R_Ctx | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | Npp16u | nAlpha1,
|  | const Npp16u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp16u | nAlpha2,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiAlphaOp | eAlphaOp,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 16-bit unsigned short channel image composition with alpha using constant source alpha.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  nAlpha1 | Image alpha opacity (0 - max channel pixel value).
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  nAlpha2 | Image alpha opacity (0 - max channel pixel value).
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  eAlphaOp | alpha-blending operation..
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAlphaCompC_16u_C1R | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | Npp16u | nAlpha1,
|  | const Npp16u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp16u | nAlpha2,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiAlphaOp | eAlphaOp
| ) |  |

NppStatus nppiAlphaCompC_16u_C1R_Ctx | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | Npp16u | nAlpha1,
|  | const Npp16u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp16u | nAlpha2,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiAlphaOp | eAlphaOp,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 16-bit unsigned short channel image composition using constant alpha.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  nAlpha1 | Image alpha opacity (0 - max channel pixel value).
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  nAlpha2 | Image alpha opacity (0 - max channel pixel value).
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  eAlphaOp | alpha-blending operation..
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAlphaCompC_16u_C3R | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | Npp16u | nAlpha1,
|  | const Npp16u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp16u | nAlpha2,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiAlphaOp | eAlphaOp
| ) |  |

NppStatus nppiAlphaCompC_16u_C3R_Ctx | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | Npp16u | nAlpha1,
|  | const Npp16u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp16u | nAlpha2,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiAlphaOp | eAlphaOp,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three 16-bit unsigned short channel image composition using constant alpha.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  nAlpha1 | Image alpha opacity (0 - max channel pixel value).
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  nAlpha2 | Image alpha opacity (0 - max channel pixel value).
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  eAlphaOp | alpha-blending operation..
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAlphaCompC_16u_C4R | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | Npp16u | nAlpha1,
|  | const Npp16u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp16u | nAlpha2,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiAlphaOp | eAlphaOp
| ) |  |

NppStatus nppiAlphaCompC_16u_C4R_Ctx | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | Npp16u | nAlpha1,
|  | const Npp16u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp16u | nAlpha2,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiAlphaOp | eAlphaOp,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 16-bit unsigned short channel image composition using constant alpha.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  nAlpha1 | Image alpha opacity (0 - max channel pixel value).
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  nAlpha2 | Image alpha opacity (0 - max channel pixel value).
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  eAlphaOp | alpha-blending operation..
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAlphaCompC_32f_C1R | ( | const Npp32f * | pSrc1,
|  | int | nSrc1Step,
|  | Npp32f | nAlpha1,
|  | const Npp32f * | pSrc2,
|  | int | nSrc2Step,
|  | Npp32f | nAlpha2,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiAlphaOp | eAlphaOp
| ) |  |

NppStatus nppiAlphaCompC_32f_C1R_Ctx | ( | const Npp32f * | pSrc1,
|  | int | nSrc1Step,
|  | Npp32f | nAlpha1,
|  | const Npp32f * | pSrc2,
|  | int | nSrc2Step,
|  | Npp32f | nAlpha2,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiAlphaOp | eAlphaOp,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 32-bit floating point channel image composition using constant alpha.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  nAlpha1 | Image alpha opacity (0.0 - 1.0).
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  nAlpha2 | Image alpha opacity (0.0 - 1.0).
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  eAlphaOp | alpha-blending operation..
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAlphaCompC_32s_C1R | ( | const Npp32s * | pSrc1,
|  | int | nSrc1Step,
|  | Npp32s | nAlpha1,
|  | const Npp32s * | pSrc2,
|  | int | nSrc2Step,
|  | Npp32s | nAlpha2,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiAlphaOp | eAlphaOp
| ) |  |

NppStatus nppiAlphaCompC_32s_C1R_Ctx | ( | const Npp32s * | pSrc1,
|  | int | nSrc1Step,
|  | Npp32s | nAlpha1,
|  | const Npp32s * | pSrc2,
|  | int | nSrc2Step,
|  | Npp32s | nAlpha2,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiAlphaOp | eAlphaOp,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 32-bit signed integer channel image composition using constant alpha.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  nAlpha1 | Image alpha opacity (0 - max channel pixel value).
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  nAlpha2 | Image alpha opacity (0 - max channel pixel value).
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  eAlphaOp | alpha-blending operation..
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAlphaCompC_32u_C1R | ( | const Npp32u * | pSrc1,
|  | int | nSrc1Step,
|  | Npp32u | nAlpha1,
|  | const Npp32u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp32u | nAlpha2,
|  | Npp32u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiAlphaOp | eAlphaOp
| ) |  |

NppStatus nppiAlphaCompC_32u_C1R_Ctx | ( | const Npp32u * | pSrc1,
|  | int | nSrc1Step,
|  | Npp32u | nAlpha1,
|  | const Npp32u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp32u | nAlpha2,
|  | Npp32u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiAlphaOp | eAlphaOp,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 32-bit unsigned integer channel image composition using constant alpha.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  nAlpha1 | Image alpha opacity (0 - max channel pixel value).
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  nAlpha2 | Image alpha opacity (0 - max channel pixel value).
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  eAlphaOp | alpha-blending operation..
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAlphaCompC_8s_C1R | ( | const Npp8s * | pSrc1,
|  | int | nSrc1Step,
|  | Npp8s | nAlpha1,
|  | const Npp8s * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8s | nAlpha2,
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiAlphaOp | eAlphaOp
| ) |  |

NppStatus nppiAlphaCompC_8s_C1R_Ctx | ( | const Npp8s * | pSrc1,
|  | int | nSrc1Step,
|  | Npp8s | nAlpha1,
|  | const Npp8s * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8s | nAlpha2,
|  | Npp8s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiAlphaOp | eAlphaOp,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 8-bit signed char channel image composition using constant alpha.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  nAlpha1 | Image alpha opacity (0 - max channel pixel value).
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  nAlpha2 | Image alpha opacity (0 - max channel pixel value).
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  eAlphaOp | alpha-blending operation..
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAlphaCompC_8u_AC4R | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | Npp8u | nAlpha1,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u | nAlpha2,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiAlphaOp | eAlphaOp
| ) |  |

NppStatus nppiAlphaCompC_8u_AC4R_Ctx | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | Npp8u | nAlpha1,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u | nAlpha2,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiAlphaOp | eAlphaOp,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 8-bit unsigned char channel image composition with alpha using constant source alpha.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  nAlpha1 | Image alpha opacity (0 - max channel pixel value).
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  nAlpha2 | Image alpha opacity (0 - max channel pixel value).
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  eAlphaOp | alpha-blending operation..
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAlphaCompC_8u_C1R | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | Npp8u | nAlpha1,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u | nAlpha2,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiAlphaOp | eAlphaOp
| ) |  |

NppStatus nppiAlphaCompC_8u_C1R_Ctx | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | Npp8u | nAlpha1,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u | nAlpha2,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiAlphaOp | eAlphaOp,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 8-bit unsigned char channel image composition using constant alpha.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  nAlpha1 | Image alpha opacity (0 - max channel pixel value).
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  nAlpha2 | Image alpha opacity (0 - max channel pixel value).
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  eAlphaOp | alpha-blending operation..
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAlphaCompC_8u_C3R | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | Npp8u | nAlpha1,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u | nAlpha2,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiAlphaOp | eAlphaOp
| ) |  |

NppStatus nppiAlphaCompC_8u_C3R_Ctx | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | Npp8u | nAlpha1,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u | nAlpha2,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiAlphaOp | eAlphaOp,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three 8-bit unsigned char channel image composition using constant alpha.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  nAlpha1 | Image alpha opacity (0 - max channel pixel value).
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  nAlpha2 | Image alpha opacity (0 - max channel pixel value).
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  eAlphaOp | alpha-blending operation..
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAlphaCompC_8u_C4R | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | Npp8u | nAlpha1,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u | nAlpha2,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiAlphaOp | eAlphaOp
| ) |  |

NppStatus nppiAlphaCompC_8u_C4R_Ctx | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | Npp8u | nAlpha1,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u | nAlpha2,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiAlphaOp | eAlphaOp,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 8-bit unsigned char channel image composition using constant alpha.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  nAlpha1 | Image alpha opacity (0 - max channel pixel value).
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  nAlpha2 | Image alpha opacity (0 - max channel pixel value).
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  eAlphaOp | alpha-blending operation..
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

Copyright © 2009-2018 NVIDIA Corporation